diff --git a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
index dbc416ec..40c975cb 100644
--- a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
@@ -1,49 +1,49 @@
 define('tools.querytool', [
-    'babel-polyfill', 'sources/gettext','sources/url_for', 'jquery',
-    'underscore', 'underscore.string', 'pgadmin.alertifyjs',
-    'sources/pgadmin', 'backbone', 'sources/../bundle/codemirror',
-    'pgadmin.misc.explain',
-    'sources/selection/grid_selector',
-    'sources/selection/active_cell_capture',
-    'sources/selection/clipboard',
-    'sources/selection/copy_data',
-    'sources/selection/range_selection_helper',
-    'sources/slickgrid/event_handlers/handle_query_output_keyboard_event',
-    'sources/selection/xcell_selection_model',
-    'sources/selection/set_staged_rows',
-    'sources/sqleditor_utils',
-    'sources/history/index.js',
-    'sources/../jsx/history/query_history',
-    'react', 'react-dom',
-    'sources/sqleditor/keyboard_shortcuts',
-    'sources/sqleditor/query_tool_actions',
+  'babel-polyfill', 'sources/gettext', 'sources/url_for', 'jquery',
+  'underscore', 'underscore.string', 'pgadmin.alertifyjs',
+  'sources/pgadmin', 'backbone', 'sources/../bundle/codemirror',
+  'pgadmin.misc.explain',
+  'sources/selection/grid_selector',
+  'sources/selection/active_cell_capture',
+  'sources/selection/clipboard',
+  'sources/selection/copy_data',
+  'sources/selection/range_selection_helper',
+  'sources/slickgrid/event_handlers/handle_query_output_keyboard_event',
+  'sources/selection/xcell_selection_model',
+  'sources/selection/set_staged_rows',
+  'sources/sqleditor_utils',
+  'sources/history/index.js',
+  'sources/../jsx/history/query_history',
+  'react', 'react-dom',
+  'sources/sqleditor/keyboard_shortcuts',
+  'sources/sqleditor/query_tool_actions',
   'sources/../bundle/slickgrid',
-    'pgadmin.file_manager',
-    'backgrid.sizeable.columns',
-    'slick.pgadmin.formatters',
-    'slick.pgadmin.editors',
-    'pgadmin.browser'
+  'pgadmin.file_manager',
+  'backgrid.sizeable.columns',
+  'slick.pgadmin.formatters',
+  'slick.pgadmin.editors',
+  'pgadmin.browser',
 ], function(
-  babelPollyfill,gettext, url_for, $, _, S, alertify, pgAdmin, Backbone, codemirror,
+  babelPollyfill, gettext, url_for, $, _, S, alertify, pgAdmin, Backbone, codemirror,
   pgExplain, GridSelector, ActiveCellCapture, clipboard, copyData, RangeSelectionHelper, handleQueryOutputKeyboardEvent,
-  XCellSelectionModel, setStagedRows,  SqlEditorUtils, HistoryBundle, queryHistory, React, ReactDOM,
-  keyboardShortcuts
-, queryToolActions) {
-    /* Return back, this has been called more than once */
-    if (pgAdmin.SqlEditor)
-      return pgAdmin.SqlEditor;
-
-    // Some scripts do export their object in the window only.
-    // Generally the one, which do no have AMD support.
-    var wcDocker = window.wcDocker,
-        pgBrowser = pgAdmin.Browser,
-        CodeMirror = codemirror.default,Slick = window.Slick;
+  XCellSelectionModel, setStagedRows, SqlEditorUtils, HistoryBundle, queryHistory, React, ReactDOM,
+  keyboardShortcuts, queryToolActions) {
+  /* Return back, this has been called more than once */
+  if (pgAdmin.SqlEditor)
+    return pgAdmin.SqlEditor;
+
+  // Some scripts do export their object in the window only.
+  // Generally the one, which do no have AMD support.
+  var wcDocker = window.wcDocker,
+    pgBrowser = pgAdmin.Browser,
+    CodeMirror = codemirror.default,
+    Slick = window.Slick;
 
   var is_query_running = false;
 
   // Defining Backbone view for the sql grid.
   var SQLEditorView = Backbone.View.extend({
-    initialize: function (opts) {
+    initialize: function(opts) {
       this.$el = opts.el;
       this.handler = opts.handler;
       this.handler['col_size'] = {};
@@ -51,80 +51,80 @@ define('tools.querytool', [
 
     // Bind all the events
     events: {
-      "click .btn-load-file": "on_file_load",
-      "click #btn-save": "on_save",
-      "click #btn-file-menu-save": "on_save",
-      "click #btn-file-menu-save-as": "on_save_as",
-      "click #btn-find": "on_find",
-      "click #btn-find-menu-find": "on_find",
-      "click #btn-find-menu-find-next": "on_find_next",
-      "click #btn-find-menu-find-previous": "on_find_previous",
-      "click #btn-find-menu-replace": "on_replace",
-      "click #btn-find-menu-replace-all": "on_replace_all",
-      "click #btn-find-menu-find-persistent": "on_find_persistent",
-      "click #btn-find-menu-jump": "on_jump",
-      "click #btn-delete-row": "on_delete",
-      "click #btn-filter": "on_show_filter",
-      "click #btn-filter-menu": "on_show_filter",
-      "click #btn-include-filter": "on_include_filter",
-      "click #btn-exclude-filter": "on_exclude_filter",
-      "click #btn-remove-filter": "on_remove_filter",
-      "click #btn-apply": "on_apply",
-      "click #btn-cancel": "on_cancel",
-      "click #btn-copy-row": "on_copy_row",
-      "click #btn-paste-row": "on_paste_row",
-      "click #btn-flash": "on_flash",
-      "click #btn-flash-menu": "on_flash",
-      "click #btn-cancel-query": "on_cancel_query",
-      "click #btn-download": "on_download",
-      "click #btn-edit": "on_clear",
-      "click #btn-clear": "on_clear",
-      "click #btn-auto-commit": "on_auto_commit",
-      "click #btn-auto-rollback": "on_auto_rollback",
-      "click #btn-clear-history": "on_clear_history",
-      "click .noclose": 'do_not_close_menu',
-      "click #btn-explain": "on_explain",
-      "click #btn-explain-analyze": "on_explain_analyze",
-      "click #btn-explain-verbose": "on_explain_verbose",
-      "click #btn-explain-costs": "on_explain_costs",
-      "click #btn-explain-buffers": "on_explain_buffers",
-      "click #btn-explain-timing": "on_explain_timing",
-      "change .limit": "on_limit_change",
-      "keydown": "keyAction",
+      'click .btn-load-file': 'on_file_load',
+      'click #btn-save': 'on_save',
+      'click #btn-file-menu-save': 'on_save',
+      'click #btn-file-menu-save-as': 'on_save_as',
+      'click #btn-find': 'on_find',
+      'click #btn-find-menu-find': 'on_find',
+      'click #btn-find-menu-find-next': 'on_find_next',
+      'click #btn-find-menu-find-previous': 'on_find_previous',
+      'click #btn-find-menu-replace': 'on_replace',
+      'click #btn-find-menu-replace-all': 'on_replace_all',
+      'click #btn-find-menu-find-persistent': 'on_find_persistent',
+      'click #btn-find-menu-jump': 'on_jump',
+      'click #btn-delete-row': 'on_delete',
+      'click #btn-filter': 'on_show_filter',
+      'click #btn-filter-menu': 'on_show_filter',
+      'click #btn-include-filter': 'on_include_filter',
+      'click #btn-exclude-filter': 'on_exclude_filter',
+      'click #btn-remove-filter': 'on_remove_filter',
+      'click #btn-apply': 'on_apply',
+      'click #btn-cancel': 'on_cancel',
+      'click #btn-copy-row': 'on_copy_row',
+      'click #btn-paste-row': 'on_paste_row',
+      'click #btn-flash': 'on_flash',
+      'click #btn-flash-menu': 'on_flash',
+      'click #btn-cancel-query': 'on_cancel_query',
+      'click #btn-download': 'on_download',
+      'click #btn-edit': 'on_clear',
+      'click #btn-clear': 'on_clear',
+      'click #btn-auto-commit': 'on_auto_commit',
+      'click #btn-auto-rollback': 'on_auto_rollback',
+      'click #btn-clear-history': 'on_clear_history',
+      'click .noclose': 'do_not_close_menu',
+      'click #btn-explain': 'on_explain',
+      'click #btn-explain-analyze': 'on_explain_analyze',
+      'click #btn-explain-verbose': 'on_explain_verbose',
+      'click #btn-explain-costs': 'on_explain_costs',
+      'click #btn-explain-buffers': 'on_explain_buffers',
+      'click #btn-explain-timing': 'on_explain_timing',
+      'change .limit': 'on_limit_change',
+      'keydown': 'keyAction',
       // Comment options
-      "click #btn-comment-code": "on_toggle_comment_block_code",
-      "click #btn-toggle-comment-block": "on_toggle_comment_block_code",
-      "click #btn-comment-line": "on_comment_line_code",
-      "click #btn-uncomment-line": "on_uncomment_line_code",
+      'click #btn-comment-code': 'on_toggle_comment_block_code',
+      'click #btn-toggle-comment-block': 'on_toggle_comment_block_code',
+      'click #btn-comment-line': 'on_comment_line_code',
+      'click #btn-uncomment-line': 'on_uncomment_line_code',
       // Indentation options
-      "click #btn-indent-code": "on_indent_code",
-      "click #btn-unindent-code": "on_unindent_code"
+      'click #btn-indent-code': 'on_indent_code',
+      'click #btn-unindent-code': 'on_unindent_code',
     },
 
     // This function is used to render the template.
-    render: function () {
+    render: function() {
       var self = this,
         filter = self.$el.find('#sql_filter');
 
       $('.editor-title').text(_.unescape(self.editor_title));
       self.filter_obj = CodeMirror.fromTextArea(filter.get(0), {
         lineNumbers: true,
-        mode: self.handler.server_type === "gpdb" ? "text/x-gpsql" : "text/x-pgsql",
+        mode: self.handler.server_type === 'gpdb' ? 'text/x-gpsql' : 'text/x-pgsql',
         foldOptions: {
-          widget: "\u2026"
+          widget: '\u2026',
         },
         foldGutter: {
           rangeFinder: CodeMirror.fold.combine(CodeMirror.pgadminBeginRangeFinder, CodeMirror.pgadminIfRangeFinder,
-            CodeMirror.pgadminLoopRangeFinder, CodeMirror.pgadminCaseRangeFinder)
+            CodeMirror.pgadminLoopRangeFinder, CodeMirror.pgadminCaseRangeFinder),
         },
-        gutters: ["CodeMirror-linenumbers", "CodeMirror-foldgutter"],
+        gutters: ['CodeMirror-linenumbers', 'CodeMirror-foldgutter'],
         extraKeys: pgBrowser.editor_shortcut_keys,
         indentWithTabs: pgAdmin.Browser.editor_options.indent_with_tabs,
         indentUnit: pgAdmin.Browser.editor_options.tabSize,
         tabSize: pgAdmin.Browser.editor_options.tabSize,
         lineWrapping: pgAdmin.Browser.editor_options.wrapCode,
         autoCloseBrackets: pgAdmin.Browser.editor_options.insert_pair_brackets,
-        matchBrackets: pgAdmin.Browser.editor_options.brace_matching
+        matchBrackets: pgAdmin.Browser.editor_options.brace_matching,
       });
 
       // Create main wcDocker instance
@@ -132,8 +132,10 @@ define('tools.querytool', [
         '#editor-panel', {
           allowContextMenu: false,
           allowCollapse: false,
-          themePath: url_for('static', {'filename': 'css'}),
-          theme: 'webcabin.overrides.css'
+          themePath: url_for('static', {
+            'filename': 'css',
+          }),
+          theme: 'webcabin.overrides.css',
         });
 
       var sql_panel = new pgAdmin.Browser.Panel({
@@ -142,7 +144,7 @@ define('tools.querytool', [
         width: '100%',
         height: '20%',
         isCloseable: false,
-        isPrivate: true
+        isPrivate: true,
       });
 
       sql_panel.load(main_docker);
@@ -155,15 +157,15 @@ define('tools.querytool', [
       self.query_tool_obj = CodeMirror.fromTextArea(text_container.get(0), {
         lineNumbers: true,
         styleSelectedText: true,
-        mode: self.handler.server_type === "gpdb" ? "text/x-gpsql" : "text/x-pgsql",
+        mode: self.handler.server_type === 'gpdb' ? 'text/x-gpsql' : 'text/x-pgsql',
         foldOptions: {
-          widget: "\u2026"
+          widget: '\u2026',
         },
         foldGutter: {
           rangeFinder: CodeMirror.fold.combine(CodeMirror.pgadminBeginRangeFinder, CodeMirror.pgadminIfRangeFinder,
-            CodeMirror.pgadminLoopRangeFinder, CodeMirror.pgadminCaseRangeFinder)
+            CodeMirror.pgadminLoopRangeFinder, CodeMirror.pgadminCaseRangeFinder),
         },
-        gutters: ["CodeMirror-linenumbers", "CodeMirror-foldgutter"],
+        gutters: ['CodeMirror-linenumbers', 'CodeMirror-foldgutter'],
         extraKeys: pgBrowser.editor_shortcut_keys,
         indentWithTabs: pgAdmin.Browser.editor_options.indent_with_tabs,
         indentUnit: pgAdmin.Browser.editor_options.tabSize,
@@ -171,13 +173,13 @@ define('tools.querytool', [
         lineWrapping: pgAdmin.Browser.editor_options.wrapCode,
         scrollbarStyle: 'simple',
         autoCloseBrackets: pgAdmin.Browser.editor_options.insert_pair_brackets,
-        matchBrackets: pgAdmin.Browser.editor_options.brace_matching
+        matchBrackets: pgAdmin.Browser.editor_options.brace_matching,
       });
 
       // Refresh Code mirror on SQL panel resize to
       // display its value properly
-      sql_panel_obj.on(wcDocker.EVENT.RESIZE_ENDED, function () {
-        setTimeout(function () {
+      sql_panel_obj.on(wcDocker.EVENT.RESIZE_ENDED, function() {
+        setTimeout(function() {
           if (self && self.query_tool_obj) {
             self.query_tool_obj.refresh();
           }
@@ -187,43 +189,43 @@ define('tools.querytool', [
       // Create panels for 'Data Output', 'Explain', 'Messages' and 'History'
       var data_output = new pgAdmin.Browser.Panel({
         name: 'data_output',
-        title: gettext("Data Output"),
+        title: gettext('Data Output'),
         width: '100%',
         height: '100%',
         isCloseable: false,
         isPrivate: true,
-        content: '<div id ="datagrid" class="sql-editor-grid-container text-12"></div>'
-      })
+        content: '<div id ="datagrid" class="sql-editor-grid-container text-12"></div>',
+      });
 
       var explain = new pgAdmin.Browser.Panel({
         name: 'explain',
-        title: gettext("Explain"),
+        title: gettext('Explain'),
         width: '100%',
         height: '100%',
         isCloseable: false,
         isPrivate: true,
-        content: '<div class="sql-editor-explain"></div>'
-      })
+        content: '<div class="sql-editor-explain"></div>',
+      });
 
       var messages = new pgAdmin.Browser.Panel({
         name: 'messages',
-        title: gettext("Messages"),
+        title: gettext('Messages'),
         width: '100%',
         height: '100%',
         isCloseable: false,
         isPrivate: true,
-        content: '<div class="sql-editor-message"></div>'
-      })
+        content: '<div class="sql-editor-message"></div>',
+      });
 
       var history = new pgAdmin.Browser.Panel({
         name: 'history',
-        title: gettext("Query History"),
+        title: gettext('Query History'),
         width: '100%',
         height: '100%',
         isCloseable: false,
         isPrivate: true,
-        content: '<div id ="history_grid" class="sql-editor-history-container"></div>'
-      })
+        content: '<div id ="history_grid" class="sql-editor-history-container"></div>',
+      });
 
       // Load all the created panels
       data_output.load(main_docker);
@@ -241,21 +243,22 @@ define('tools.querytool', [
 
       if (!self.handler.is_new_browser_tab) {
         // Listen on the panel closed event and notify user to save modifications.
-        _.each(window.top.pgAdmin.Browser.docker.findPanels('frm_datagrid'), function (p) {
+        _.each(window.top.pgAdmin.Browser.docker.findPanels('frm_datagrid'), function(p) {
           if (p.isVisible()) {
-            if(self.handler.prompt_save_changes) {
-              p.on(wcDocker.EVENT.CLOSING, function () {
+            if (self.handler.prompt_save_changes) {
+              p.on(wcDocker.EVENT.CLOSING, function() {
                 // Only if we can edit data then perform this check
-                var notify = false, msg;
+                var notify = false,
+                  msg;
                 if (self.handler.can_edit) {
                   var data_store = self.handler.data_store;
                   if (data_store && (_.size(data_store.added) ||
-                    _.size(data_store.updated))) {
-                    msg = gettext("The data has changed. Do you want to save changes?");
+                      _.size(data_store.updated))) {
+                    msg = gettext('The data has changed. Do you want to save changes?');
                     notify = true;
                   }
                 } else if (self.handler.is_query_tool && self.handler.is_query_changed) {
-                  msg = gettext("The text has changed. Do you want to save changes?");
+                  msg = gettext('The text has changed. Do you want to save changes?');
                   notify = true;
                 }
                 if (notify) {
@@ -266,9 +269,9 @@ define('tools.querytool', [
             }
 
             // Set focus on query tool of active panel
-            p.on(wcDocker.EVENT.GAIN_FOCUS, function () {
+            p.on(wcDocker.EVENT.GAIN_FOCUS, function() {
               if (!$(p.$container).hasClass('wcPanelTabContentHidden')) {
-                setTimeout(function () {
+                setTimeout(function() {
                   self.handler.gridView.query_tool_obj.focus();
                 }, 200);
               }
@@ -278,14 +281,14 @@ define('tools.querytool', [
       }
 
       // set focus on query tool once loaded
-      setTimeout(function () {
+      setTimeout(function() {
         self.query_tool_obj.focus();
       }, 500);
 
       /* We have override/register the hint function of CodeMirror
        * to provide our own hint logic.
        */
-      CodeMirror.registerHelper("hint", "sql", function (editor, options) {
+      CodeMirror.registerHelper('hint', 'sql', function(editor) {
         var data = [],
           doc = editor.getDoc(),
           cur = doc.getCursor(),
@@ -295,7 +298,9 @@ define('tools.querytool', [
           ctx = {
             editor: editor,
             // URL for auto-complete
-            url: url_for('sqleditor.autocomplete', {'trans_id': self.transId}),
+            url: url_for('sqleditor.autocomplete', {
+              'trans_id': self.transId,
+            }),
             data: data,
             // Get the line number in the cursor position
             current_line: cur.line,
@@ -303,62 +308,67 @@ define('tools.querytool', [
              * Render function for hint to add our own class
              * and icon as per the object type.
              */
-            hint_render: function (elt, data, cur) {
+            hint_render: function(elt, data, cur) {
               var el = document.createElement('span');
 
               switch (cur.type) {
-                case 'database':
-                  el.className = 'sqleditor-hint pg-icon-' + cur.type;
-                  break;
-                case 'datatype':
-                  el.className = 'sqleditor-hint icon-type';
-                  break;
-                case 'keyword':
-                  el.className = 'fa fa-key';
-                  break;
-                case 'table alias':
-                  el.className = 'fa fa-at';
-                  break;
-                default:
-                  el.className = 'sqleditor-hint icon-' + cur.type;
+              case 'database':
+                el.className = 'sqleditor-hint pg-icon-' + cur.type;
+                break;
+              case 'datatype':
+                el.className = 'sqleditor-hint icon-type';
+                break;
+              case 'keyword':
+                el.className = 'fa fa-key';
+                break;
+              case 'table alias':
+                el.className = 'fa fa-at';
+                break;
+              default:
+                el.className = 'sqleditor-hint icon-' + cur.type;
               }
 
               el.appendChild(document.createTextNode(cur.text));
               elt.appendChild(el);
-            }
+            },
           };
 
         data.push(doc.getValue());
         // Get the text from start to the current cursor position.
         data.push(
-          doc.getRange(
-            {line: 0, ch: 0},
-            {line: ctx.current_line, ch: current_cur}
-          )
+          doc.getRange({
+            line: 0,
+            ch: 0,
+          }, {
+            line: ctx.current_line,
+            ch: current_cur,
+          })
         );
 
         return {
-          then: function (cb) {
+          then: function(cb) {
             var self = this;
             // Make ajax call to find the autocomplete data
             $.ajax({
               url: self.url,
               method: 'POST',
-              contentType: "application/json",
+              contentType: 'application/json',
               data: JSON.stringify(self.data),
-              success: function (res) {
+              success: function(res) {
                 var result = [];
 
-                _.each(res.data.result, function (obj, key) {
+                _.each(res.data.result, function(obj, key) {
                   result.push({
-                    text: key, type: obj.object_type,
-                    render: self.hint_render
+                    text: key,
+                    type: obj.object_type,
+                    render: self.hint_render,
                   });
                 });
 
                 // Sort function to sort the suggestion's alphabetically.
-                result.sort(function (a, b) {
-                  var textA = a.text.toLowerCase(), textB = b.text.toLowerCase();
+                result.sort(function(a, b) {
+                  var textA = a.text.toLowerCase(),
+                    textB = b.text.toLowerCase();
                   if (textA < textB) //sort string ascending
                     return -1;
                   if (textA > textB)
@@ -370,7 +380,8 @@ define('tools.querytool', [
                  * Below logic find the start and end point
                  * to replace the selected auto complete suggestion.
                  */
-                var token = self.editor.getTokenAt(cur), start, end, search;
+                var token = self.editor.getTokenAt(cur),
+                  start, end, search;
                 if (token.end > cur.ch) {
                   token.end = cur.ch;
                   token.string = token.string.slice(0, cur.ch - token.start);
@@ -382,7 +393,7 @@ define('tools.querytool', [
                   end = token.end;
                 } else {
                   start = end = cur.ch;
-                  search = "";
+                  search = '';
                 }
 
                 /*
@@ -390,79 +401,80 @@ define('tools.querytool', [
                  * started with "." or "`" else auto complete of code mirror
                  * will remove the "." when user select any suggestion.
                  */
-                if (search.charAt(0) == "." || search.charAt(0) == "``")
+                if (search.charAt(0) == '.' || search.charAt(0) == '``')
                   start += 1;
 
                 cb({
                   list: result,
-                  from: {line: self.current_line, ch: start},
-                  to: {line: self.current_line, ch: end}
+                  from: {
+                    line: self.current_line,
+                    ch: start,
+                  },
+                  to: {
+                    line: self.current_line,
+                    ch: end,
+                  },
                 });
-              }
+              },
             });
-          }.bind(ctx)
+          }.bind(ctx),
         };
       });
     },
 
     /* To prompt user for unsaved changes */
-    user_confirmation: function (panel, msg) {
+    user_confirmation: function(panel, msg) {
       // If there is anything to save then prompt user
       var that = this;
 
-      alertify.confirmSave || alertify.dialog('confirmSave', function () {
+      alertify.confirmSave || alertify.dialog('confirmSave', function() {
         return {
-          main: function (title, message) {
-            var content = '<div class="ajs-content">'
-              + gettext('The text has changed. Do you want to save changes?')
-              + '</div>';
+          main: function(title, message) {
             this.setHeader(title);
             this.setContent(message);
           },
-          setup: function () {
+          setup: function() {
             return {
-              buttons: [
-                {
-                  text: gettext('Save'),
-                  className: 'btn btn-primary',
-                }, {
-                  text: gettext('Don\'t save'),
-                  className: 'btn btn-danger',
-                }, {
-                  text: gettext('Cancel'),
-                  key: 27, // ESC
-                  invokeOnClose: true,
-                  className: 'btn btn-warning',
-                }
-              ],
+              buttons: [{
+                text: gettext('Save'),
+                className: 'btn btn-primary',
+              }, {
+                text: gettext('Don\'t save'),
+                className: 'btn btn-danger',
+              }, {
+                text: gettext('Cancel'),
+                key: 27, // ESC
+                invokeOnClose: true,
+                className: 'btn btn-warning',
+              }],
               focus: {
                 element: 0,
-                select: false
+                select: false,
               },
               options: {
                 maximizable: false,
-                resizable: false
-              }
+                resizable: false,
+              },
             };
           },
-          callback: function (closeEvent) {
+          callback: function(closeEvent) {
             switch (closeEvent.index) {
-              case 0: // Save
-                that.handler.close_on_save = true;
-                that.handler._save(that, that.handler);
-                break;
-              case 1: // Don't Save
-                that.handler.close_on_save = false;
-                that.handler.close();
-                break;
-              case 2: //Cancel
+            case 0: // Save
+              that.handler.close_on_save = true;
+              that.handler._save(that, that.handler);
+              break;
+            case 1: // Don't Save
+              that.handler.close_on_save = false;
+              that.handler.close();
+              break;
+            case 2: //Cancel
                 //Do nothing.
-                break;
+              break;
             }
-          }
+          },
         };
       });
-      alertify.confirmSave(gettext("Save changes?"), msg);
+      alertify.confirmSave(gettext('Save changes?'), msg);
       return false;
     },
 
@@ -524,7 +536,7 @@ define('tools.querytool', [
      */
 
     // This function is responsible to create and render the SlickGrid.
-    render_grid: function (collection, columns, is_editable, client_primary_key, rows_affected) {
+    render_grid: function(collection, columns, is_editable, client_primary_key, rows_affected) {
       var self = this;
 
       // This will work as data store and holds all the
@@ -535,7 +547,7 @@ define('tools.querytool', [
         staged_rows: {},
         deleted: {},
         updated_index: {},
-        added_index: {}
+        added_index: {},
       };
 
       // To store primary keys before they gets changed
@@ -550,29 +562,27 @@ define('tools.querytool', [
         self.handler.slickgrid.destroy();
       }
 
-        if(!_.isArray(collection) || !_.size(collection)) {
-          collection = [];
-        }
+      if (!_.isArray(collection) || !_.size(collection)) {
+        collection = [];
+      }
 
-        var grid_columns = [],
-          table_name;
-        var column_size = self.handler['col_size'],
-          query = self.handler.query,
-          // Extract table name from query
-          table_list = query.match(/select.*from\s+\w+\.*(\w+)/i);
+      var grid_columns = [],
+        table_name;
+      var column_size = self.handler['col_size'],
+        query = self.handler.query,
+        // Extract table name from query
+        table_list = query.match(/select.*from\s+\w+\.*(\w+)/i);
 
       if (!table_list) {
         table_name = SqlEditorUtils.getHash(query);
-      }
-      else {
+      } else {
         table_name = table_list[1];
       }
 
       self.handler['table_name'] = table_name;
       column_size[table_name] = column_size[table_name] || {};
 
-      var grid_width = $($('#editor-panel').find('.wcFrame')[1]).width();
-      _.each(columns, function (c) {
+      _.each(columns, function(c) {
         var options = {
           id: c.name,
           pos: c.pos,
@@ -583,7 +593,7 @@ define('tools.querytool', [
           column_type_internal: c.column_type_internal,
           not_null: c.not_null,
           has_default_val: c.has_default_val,
-          is_array: c.is_array
+          is_array: c.is_array,
         };
 
         // Get the columns width based on longer string among data type or
@@ -594,38 +604,36 @@ define('tools.querytool', [
         if (_.isUndefined(column_size[table_name][c.name])) {
           options['width'] = SqlEditorUtils.calculateColumnWidth(label);
           column_size[table_name][c.name] = options['width'];
-        }
-        else {
+        } else {
           options['width'] = column_size[table_name][c.name];
         }
         // If grid is editable then add editor else make it readonly
         if (c.cell == 'oid') {
           options['editor'] = null;
-        }
-        else if (c.cell == 'Json') {
-          options['editor'] = is_editable ? Slick.Editors.JsonText
-            : Slick.Editors.ReadOnlyJsonText;
+        } else if (c.cell == 'Json') {
+          options['editor'] = is_editable ? Slick.Editors.JsonText :
+            Slick.Editors.ReadOnlyJsonText;
           options['formatter'] = Slick.Formatters.JsonString;
         } else if (c.cell == 'number' ||
           $.inArray(c.type, ['oid', 'xid', 'real']) !== -1
         ) {
-          options['editor'] = is_editable ? Slick.Editors.CustomNumber
-            : Slick.Editors.ReadOnlyText;
+          options['editor'] = is_editable ? Slick.Editors.CustomNumber :
+            Slick.Editors.ReadOnlyText;
           options['formatter'] = Slick.Formatters.Numbers;
         } else if (c.cell == 'boolean') {
-          options['editor'] = is_editable ? Slick.Editors.Checkbox
-            : Slick.Editors.ReadOnlyCheckbox;
+          options['editor'] = is_editable ? Slick.Editors.Checkbox :
+            Slick.Editors.ReadOnlyCheckbox;
           options['formatter'] = Slick.Formatters.Checkmark;
         } else if (c.cell == 'binary') {
           // We do not support editing binary data in SQL editor and data grid.
-          options['formatter'] =  Slick.Formatters.Binary;
-        }else {
-          options['editor'] = is_editable ? Slick.Editors.pgText
-            : Slick.Editors.ReadOnlypgText;
+          options['formatter'] = Slick.Formatters.Binary;
+        } else {
+          options['editor'] = is_editable ? Slick.Editors.pgText :
+            Slick.Editors.ReadOnlypgText;
           options['formatter'] = Slick.Formatters.Text;
         }
 
-        grid_columns.push(options)
+        grid_columns.push(options);
       });
 
       var gridSelector = new GridSelector();
@@ -642,7 +650,7 @@ define('tools.querytool', [
         enableCellNavigation: true,
         enableColumnReorder: false,
         asyncEditorLoading: false,
-        autoEdit: false
+        autoEdit: false,
       };
 
       var $data_grid = self.$el.find('#datagrid');
@@ -656,8 +664,8 @@ define('tools.querytool', [
       // Add-on function which allow us to identify the faulty row after insert/update
       // and apply css accordingly
 
-      dataView.getItemMetadata = function (i) {
-        var res = {}, cssClass = '',
+      dataView.getItemMetadata = function(i) {
+        var cssClass = '',
           data_store = self.handler.data_store;
 
         if (_.has(self.handler, 'data_store')) {
